#ifndef config_h_included
#define config_h_included

#define PIN_MASTER_CLIENT_SELECT 2
#define ROLE_MASTER LOW
#define ROLE_CLIENT HIGH
#define PIN_NRF24_CE 10
#define PIN_NRF24_CSN 8

#define PIN_RELAY1 5
#define PIN_RELAY2 6

// communication protocol definitions
#define nRF_Channel 1
#define THIS_ADRESS 0 // uint8_t address of this node

// relay based clock control behaviour
#define DEFAULT_HOLD_RELAY_MS 150
#define DEFAULT_MIN_RELAY_OFF_TIME_MS 80
#define DEFAULT_RELAY_ACTIVE_LOW true

#endif
